/*
 * JTester.java - Test application for the library, wrapper for all demos
 *
 * Copyright (c) 2004 Gregory Kotsaftis
 * gregkotsaftis@yahoo.com
 * http://zeus-jscl.sourceforge.net/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package gr.zeus.tests;

import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import javax.swing.WindowConstants;


public class JTester extends JFrame {
    
    
    public JTester()
    {
        init_lnf();
        
        initComponents();
    }
    
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() {//GEN-BEGIN:initComponents
        jconsoleButton = new javax.swing.JButton();
        jsplashButton = new javax.swing.JButton();
        tableSortButton = new javax.swing.JButton();
        outlookToolbarButton = new javax.swing.JButton();
        windowManagerButton = new javax.swing.JButton();

        getContentPane().setLayout(new java.awt.FlowLayout());

        setTitle("Main Test/Demo Application");
        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        jconsoleButton.setText("Run JConsole Demo");
        jconsoleButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jconsoleButtonActionPerformed(evt);
            }
        });

        getContentPane().add(jconsoleButton);

        jsplashButton.setText("Run JSplash Demo");
        jsplashButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jsplashButtonActionPerformed(evt);
            }
        });

        getContentPane().add(jsplashButton);

        tableSortButton.setText("Run JTable Sort Demo");
        tableSortButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tableSortButtonActionPerformed(evt);
            }
        });

        getContentPane().add(tableSortButton);

        outlookToolbarButton.setText("Run OutLookToolBar Demo");
        outlookToolbarButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                outlookToolbarButtonActionPerformed(evt);
            }
        });

        getContentPane().add(outlookToolbarButton);

        windowManagerButton.setText("Run WindowManager Demo");
        windowManagerButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                windowManagerButtonActionPerformed(evt);
            }
        });

        getContentPane().add(windowManagerButton);

        pack();
    }//GEN-END:initComponents

    private void windowManagerButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_windowManagerButtonActionPerformed
        
        SwingUtilities.invokeLater(
            new Runnable() {
                public void run() {
                    JDesktopTester t = new JDesktopTester();
                    t.show();
                    t.setDefaultCloseOperation( WindowConstants.HIDE_ON_CLOSE );
                }
            }
        );
        
    }//GEN-LAST:event_windowManagerButtonActionPerformed

    private void outlookToolbarButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_outlookToolbarButtonActionPerformed
        
        SwingUtilities.invokeLater(
            new Runnable() {
                public void run() {
                    JToolBarTester t = new JToolBarTester();
                    t.show();
                    t.setDefaultCloseOperation( WindowConstants.HIDE_ON_CLOSE );
                }
            }
        );
        
    }//GEN-LAST:event_outlookToolbarButtonActionPerformed

    private void tableSortButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tableSortButtonActionPerformed
        
        SwingUtilities.invokeLater(
            new Runnable() {
                public void run() {
                    JTableSortTester t = new JTableSortTester();
                    t.show();
                    t.setDefaultCloseOperation( WindowConstants.HIDE_ON_CLOSE );
                }
            }
        );
        
    }//GEN-LAST:event_tableSortButtonActionPerformed

    private void jsplashButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jsplashButtonActionPerformed

        JOptionPane.showMessageDialog(
            this,
            "Please use the splash.bat to check out the splash screen demo.",
            "Info",
            JOptionPane.INFORMATION_MESSAGE);

    }//GEN-LAST:event_jsplashButtonActionPerformed

    private void jconsoleButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jconsoleButtonActionPerformed
        
        SwingUtilities.invokeLater(
            new Runnable() {
                public void run() {
                    JConsoleTester t = new JConsoleTester();
                    t.show();
                    t.setExitMode( false );
                }
            }
        );
        
    }//GEN-LAST:event_jconsoleButtonActionPerformed
    
    
    /**
     * setup our look and feel
     */
    private void init_lnf()
    {
        try
        {
            UIManager.setLookAndFeel( UIManager.getSystemLookAndFeelClassName() );
        }
        catch( Exception e )
        {
            System.err.println("Cannot initialize the look & feel");
            
            e.printStackTrace();
        }
    }

    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[])
    {
        new JTester().show();
    }
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jconsoleButton;
    private javax.swing.JButton jsplashButton;
    private javax.swing.JButton outlookToolbarButton;
    private javax.swing.JButton tableSortButton;
    private javax.swing.JButton windowManagerButton;
    // End of variables declaration//GEN-END:variables
    
}
