/*
 * JToolbarTester.java - Test application for JToolBar that simulates outlook
 *                       toolbar behavior.
 *
 * Copyright (c) 2004 Gregory Kotsaftis
 * gregkotsaftis@yahoo.com
 * http://zeus-jscl.sourceforge.net/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package gr.zeus.tests;

import gr.zeus.ui.OutLookToolBar;
import javax.swing.UIManager;


public class JToolBarTester extends javax.swing.JFrame {
    
    private OutLookToolBar m_outLookToolBar = null;
    
    
    public JToolBarTester()
    {
        initComponents();
        
        m_outLookToolBar = new OutLookToolBar( m_toolbar );
        m_outLookToolBar.transform();
    }
    
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() {//GEN-BEGIN:initComponents
        m_toolbar = new javax.swing.JToolBar();
        m_button1 = new javax.swing.JButton();
        m_button2 = new javax.swing.JButton();
        m_button3 = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        m_textArea = new javax.swing.JTextArea();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        m_button1.setText("Button1");
        m_button1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                m_button1ActionPerformed(evt);
            }
        });

        m_toolbar.add(m_button1);

        m_button2.setText("Button2");
        m_button2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                m_button2ActionPerformed(evt);
            }
        });

        m_toolbar.add(m_button2);

        m_button3.setText("Button3");
        m_button3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                m_button3ActionPerformed(evt);
            }
        });

        m_toolbar.add(m_button3);

        getContentPane().add(m_toolbar, java.awt.BorderLayout.NORTH);

        jScrollPane1.setViewportView(m_textArea);

        getContentPane().add(jScrollPane1, java.awt.BorderLayout.CENTER);

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-400)/2, (screenSize.height-300)/2, 400, 300);
    }//GEN-END:initComponents

    private void m_button3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_m_button3ActionPerformed
        
        m_textArea.append("Button3 pressed\n");
        
    }//GEN-LAST:event_m_button3ActionPerformed

    private void m_button2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_m_button2ActionPerformed
        
        m_textArea.append("Button2 pressed\n");
        
    }//GEN-LAST:event_m_button2ActionPerformed

    private void m_button1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_m_button1ActionPerformed
        
        m_textArea.append("Button1 pressed\n");
        
    }//GEN-LAST:event_m_button1ActionPerformed
    

    /**
     * @param args the command line arguments
     */
    public static void main(String args[])
    {
        try
        {
            UIManager.setLookAndFeel( UIManager.getSystemLookAndFeelClassName() );
        }
        catch( Exception e )
        {
            e.printStackTrace();
        }
        
        new JToolBarTester().show();
    }
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JButton m_button1;
    private javax.swing.JButton m_button2;
    private javax.swing.JButton m_button3;
    private javax.swing.JTextArea m_textArea;
    private javax.swing.JToolBar m_toolbar;
    // End of variables declaration//GEN-END:variables
    
}
