/*
 * BlankIcon.java - Empty icon for table header for TableSorter, original code
 *                  from: http://www.senun.com/Left/Programming/Java_old/
 *                  Examples_swing/SwingExamples.html
 *
 * Copyright (c) 2004 Gregory Kotsaftis
 * gregkotsaftis@yahoo.com
 * http://zeus-jscl.sourceforge.net/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package gr.zeus.ui.table.sort;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;
import javax.swing.Icon;


public class BlankIcon implements Icon {

    private static final int DEFAULT_SIZE = 11;
    
    private Color m_fillColor;
    private int m_size;

    
    public BlankIcon()
    {
        this(null, DEFAULT_SIZE);
    }

    
    public BlankIcon(Color color, int size)
    {
        //UIManager.getColor("control")
        //UIManager.getColor("controlShadow")
        m_fillColor = color;

        m_size = size;    
    }

    
    public void paintIcon(Component c, Graphics g, int x, int y)
    {
        if( m_fillColor != null )
        {
            g.setColor(m_fillColor);
            g.drawRect(x, y, m_size-1, m_size-1);
        }
    }

    
    public int getIconWidth()
    {
        return( m_size );
    }

    
    public int getIconHeight()
    {
        return( m_size );
    }
    
}
